# API Endpoint

## POST Create payment link

On success, it will return a  payment link

#### Example of request:

```
https://paytweed.certhis.io/get-payment-link
```

{% tabs %}
{% tab title="REQUEST" %}
Query Parameters<br>

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>collection_address</td><td>the collection address</td></tr><tr><td>chain_id</td><td>the chain id</td></tr><tr><td>nft_id</td><td>specify the nft_id for a lazy mint collection or for a secondary sale</td></tr><tr><td><p>wallet</p><p></p></td><td>the wallet address of the reciever</td></tr><tr><td>nb_mint</td><td>from 1 to 5 </td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
{
    "widgetUrl": "https://whitelabel-widgets.paytweed.com/token/purchasing?sessionId=29f03488-8231-41e9-b1ff-7c434c02d9f2&requestId=9a4cfd37-9508-4405-a63d-4ad7fce23e59&whitelabelPlatformId=0bca9bb8-d07a-496e-ba9f-25cf8c63137e&showKycMessage=false&redirecturiOnSuccess=https%3A%2F%2Fwww.redirectUriOnSuccess.com&redirecturiOnFail=https%3A%2F%2Fwww.redirectUriOnFail.com%2F&palette=eyJkYXJrIjp7fSwibGlnaHQiOnsicGFsZXR0ZSI6eyJwcmltYXJ5Ijp7Im1haW4iOiIjMDAwMDAwIn19fX0%3D",
    "requestId": "9a4cfd37-9508-4405-a63d-4ad7fce23e59"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certhis.io/nft-checkout/api-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
